package service

import (
	"cicv-data-closedloop/aarch64/pji/common/config"
	"cicv-data-closedloop/common/config/c_log"
	"cicv-data-closedloop/common/util"
	"os"
)

func CollectMap() {

	// rosbag record -O /root/cicv-data-closedloop/map_data.bag -l 1 /map
	ossMapBagObjectKey := config.LocalConfig.OssBasePrefix + config.LocalConfig.EquipmentNo + "/map.bag"

	var command []string
	command = append(command, "record")
	command = append(command, "-O"+config.CloudConfig.MapBagPath)
	command = append(command, config.CloudConfig.MapBagPath)
	command = append(command, "-l")
	command = append(command, "1")
	command = append(command, "/map")
	_, s, err := util.ExecuteWithEnvAndDir(config.RosbagEnvs, config.CloudConfig.BagDataDir, config.RosbagPath, command...)
	if err != nil {
		c_log.GlobalLogger.Error("程序异常退出。采集地图", command, "出错：", s, "----", err)
		os.Exit(-1)
	}
	c_log.GlobalLogger.Error("采集地图包", command, "完成。")
	config.OssMutex.Lock()
	err = config.OssBucket.PutObjectFromFile(ossMapBagObjectKey, config.CloudConfig.MapBagPath)
	config.OssMutex.Unlock()
	if err != nil {
		c_log.GlobalLogger.Error("程序异常退出。上传地图包", config.CloudConfig.MapBagPath, "->", ossMapBagObjectKey, "出错：", err)
		os.Exit(-1)
	}
	c_log.GlobalLogger.Error("上传地图包", config.CloudConfig.MapBagPath, "------", ossMapBagObjectKey, "成功。")
}
